import PostItem from "@/components/post-item";
import { PostMessageForm } from "@/components/post-messages";
import { Card } from "@/components/ui/card";
import { db } from "@/lib/db";

export default async function HomePage() {
  let messages = null
  try {
    messages = await db.post.findMany({
      orderBy: {
        createdAt: "desc"
      },
      include: {
        user: true,
        Comment: true,
        Like: true
      },
    })
  } catch (error) {
    throw new Error("the database is not running, check your .env file")
  }

  return (
    // <div className="main-content px-3">
    <div className="relative md:gap-10 lg:grid lg:grid-cols-[1fr_240px] px-3">
      <PostMessageForm />

      <Card className="w-full h-full overflow-hidden p-6 md:p-12">
        {messages ? messages.map((msg) => (
          <PostItem msg={msg} key={msg.id} />
        ))
          :
          <p>There are no messages currently</p>}
      </Card>

      {/* <div className="side-content"> */}
      <div className="hidden lg:block flex-col">
        a
      </div>
    </div>
  )
}